# \nre\coreDriver

Abstract class for implementing a Driver.

## Summary

Methods
Properties
Constants
load()
factory()
No public properties found
No constants found
__construct()
No protected properties found
N/A
getClassName()
No private properties found
N/A
abstract

File
  core/Driver.inc
Package
  Default
Class hierarchy
  \nre\core\Driver

## Tags

author | coderkun olli@coderkun.de

## Methods

### load()

    load(string  $driverName)

Load the class of a Driver.

#### Parameters

string | $driverName | Name of the Driver to load

#### Throws

\nre\exceptions\DriverNotFoundException
\nre\exceptions\DriverNotValidException

#

static

## Tags

None found

### factory()

    factory(string  $driverName, array  $config)

Instantiate a Driver (Factory Pattern).

#### Parameters

string | $driverName | Name of the Driver to instantiate
array | $config | Configuration settings

#

static

## Tags

None found

### __construct()

    __construct()

Construct a new Driver.

#

## Tags

None found

### getClassName()

    getClassName(string  $driverName) : string

Determine the classname for the given Driver name.

#### Parameters

string | $driverName | Driver name to get classname of

#### Returns

string —

Classname fore the Driver name

#

static

## Tags

None found

### Driver.inc